Resin-WPE : GStreamer-CRITICAL Error with youtube live video


#1

Hello,

I test the resin-wpe with a live video from youtube :

WPE_URL = https://www.youtube.com/embed/hL0sEdVJs3U?autoplay=1&vq=hd720

But the video won’t start and I get this error :

(WPEWebProcess:39): GStreamer-CRITICAL **: _gst_util_uint64_scale: assertion 'denom != 0' failed

Any idea ?

Thanks.


#2

hi,

can you check all the configuration variables that you have entered and make sure that they are entered as described in the resin-wpe repo?


#3

Thanks.

I set these variables :

RESIN_HOST_CONFIG_gpu_mem_256 = 128
RESIN_HOST_CONFIG_gpu_mem_512 = 196
RESIN_HOST_CONFIG_gpu_mem_1024 = 396

WPE_URL = https://www.youtube.com/embed/hL0sEdVJs3U?autoplay=1&vq=hd720

Are there other conf variables to set ?


#4

I guess you can set those if you need to:

If you try with a different youtube url (not live video), do you get the same error?


#5

I didn’t get the error with a normal youtube video


#6

Can you file an issue in the github repo describing exactly that behavior please in order for the maintainer to see it?


#8

Hello,

I get this response from WPEWebKit team : https://github.com/WebPlatformForEmbedded/WPEWebKit/issues/411#issuecomment-346425899

You need a patched GStreamer to solve this issue. It’s solved in WebKit upstream here:
https://bugs.webkit.org/show_bug.cgi?id=176804
I’ve just backported the patch to gst1-plugins-good in buildroot here:
WebPlatformForEmbedded/buildroot@85e8095

How to apply this to the resin-wpe project ?


#11

Hey @samoud, if the patch has been applied in the meta-wpe layer upstream, then it might be as easy as updating the version of meta-wpe in https://github.com/resin-io-playground/resin-wpe/tree/master/base-image and rebuilding the base image. I haven’t looked into the meta-wpe history to see if they have that patch included, so it would need a little research.


#13

Thanks @shaunmulligan

I asked them and apparently it’s not applied yet. https://github.com/WebPlatformForEmbedded/WPEWebKit/issues/411#issuecomment-346666793

By the way I updated the version of all submodules but I get some new errors (and added some new layers meta-openembedded/meta-networking and python) :

| checking for cairo's EGL functions feature...
| checking whether cairo's EGL functions feature could be enabled... no (not required by any backend)
| configure: error:  EGL functions feature could not be enabled
| NOTE: The following config.log files may provide further information.
| NOTE: /home/samoud/resin-wpe/base-image/build/tmp-glibc/work/cortexa7hf-neon-vfpv4-oe-linux-gnueabi/cairo/1.14.10-r0/build/config.log
| ERROR: configure failed
| WARNING: exit code 1 from a shell command.
| ERROR: Function failed: do_configure (log file is located at /home/samoud/resin-wpe/base-image/build/tmp-glibc/work/cortexa7hf-neon-vfpv4-oe-linux-gnueabi/cairo/1.14.10-r0/temp/log.do_configure.31984)
ERROR: Task (/home/samoud/resin-wpe/base-image/build/../poky/meta/recipes-graphics/cairo/cairo_1.14.10.bb:do_configure) failed with exit code '1'
NOTE: Tasks Summary: Attempted 1294 tasks of which 1253 didn't need to be rerun and 1 failed.

#15

They just updated meta-wpe but I still get this EGL error.

I tried to add egl to /base-image/meta-resin-wpe/recipes-core/images/resin-wpe-image.bb :

DISTRO_FEATURES_append = " egl" but it ignore it.

Any Idea ?


#16

You mean that you still get the initial error:

(WPEWebProcess:39): GStreamer-CRITICAL **: _gst_util_uint64_scale: assertion 'denom != 0' failed ?


#17

Nope, this one when I try to build the yocto image :


#18

I’ll ping the team for more ideas on this

thanks,
ilias


#22

Thanks.

Do you know how can I add DISTRO_FEATURES to meta-resin-wpe ?


#23

Hello,

please check this out: https://github.com/resin-io-playground/resin-wpe/issues/7#issuecomment-347489426

The issue is closed now and it should be working.
Thanks